Pemantau masa operasi
GET https://uptimer24.com/api/monitors/
curl --request GET \
--url 'https://uptimer24.com/api/monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/monitors/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Butiran | Penerangan |
|---|---|---|
| search | Pilihan Rentetan | Rentetan carian. |
| search_by | Pilihan Rentetan | Apakah bidang yang anda cari. Nilai yang dibenarkan adalah: name, target. |
| is_enabled | Pilihan Boolean | |
| type | Pilihan Rentetan | Nilai yang dibenarkan: website, ping, port |
| ping_servers_ids | Pilihan Integer | Nilai yang dibenarkan: 1, 3, 4, 5, 6 |
| project_id | Pilihan Integer | |
| datetime_field | Pilihan Rentetan | Nilai yang dibenarkan: datetime, last_datetime, last_check_datetime |
| datetime_start | Pilihan Rentetan | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Pilihan Rentetan | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Pilihan Rentetan | Medan apa untuk menyusun keputusan. Nilai yang dibenarkan adalah: monitor_id, datetime, last_datetime, last_check_datetime, name, uptime, average_response_time. |
| order_type | Pilihan Rentetan | Penentuan susunan keputusan. Nilai yang dibenarkan adalah: ASC untuk susunan menaik, dan DESC untuk susunan menurun. |
| page | Pilihan Integer | Nombor halaman yang anda mahu hasilkan. Lalai kepada 1. |
| results_per_page | Pilihan Integer | Berapa banyak hasil yang anda mahu setiap halaman. Nilai yang dibenarkan adalah: 10, 25, 50, 100, 250, 500, 1000. Lalai kepada 25. |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "Example",
"type": "website",
"target": "https://example.com/",
"port": 0,
"settings": {
"check_interval_seconds": 3600,
"timeout_seconds": 1,
"request_method": "GET",
"request_body": "",
"request_basic_auth_username": "",
"request_basic_auth_password": "",
"request_headers": [],
"response_status_code": 200,
"response_body": "",
"response_headers": []
},
"ping_servers_ids": [1],
"is_ok": 1,
"uptime": 95.5,
"downtime": 4.5,
"average_response_time": 500,
"total_checks": 500,
"total_ok_checks": 450,
"total_not_ok_checks": 50,
"last_check_datetime": "2021-03-25 08:27:07",
"notifications": {
"email_is_enabled": 0,
"webhook":"",
"slack":"",
"twilio":""
},
"is_enabled": false,
"datetime": "2026-07-19 04:04:47",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimer24.com/api/monitors?page=1",
"last": "https://uptimer24.com/api/monitors?page=1",
"next": null,
"prev": null,
"self": "https://uptimer24.com/api/monitors?page=1"
}
}
GET https://uptimer24.com/api/monitors/{monitor_id}
curl --request GET \
--url 'https://uptimer24.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "Example",
"type": "website",
"target": "https://example.com/",
"port": 0,
"settings": {
"check_interval_seconds": 3600,
"timeout_seconds": 1,
"request_method": "GET",
"request_body": "",
"request_basic_auth_username": "",
"request_basic_auth_password": "",
"request_headers": [],
"response_status_code": 200,
"response_body": "",
"response_headers": []
},
"ping_servers_ids": [1],
"is_ok": 1,
"uptime": 95.5,
"downtime": 4.5,
"average_response_time": 500,
"total_checks": 500,
"total_ok_checks": 450,
"total_not_ok_checks": 50,
"last_check_datetime": "2021-03-25 08:27:07",
"notifications": {
"email_is_enabled": 0,
"webhook":"",
"slack":"",
"twilio":""
},
"is_enabled": false,
"datetime": "2026-07-19 04:04:47",
}
}
POST https://uptimer24.com/api/monitors
| Parameter | Butiran | Penerangan |
|---|---|---|
| name | Diperlukan Rentetan | - |
| target | Diperlukan Rentetan | - |
| port | Pilihan Rentetan | - |
| type | Pilihan Rentetan | Nilai yang dibenarkan: website, ping, port |
| project_id | Pilihan Integer | - |
| ping_servers_ids | Pilihan Tatasusunan | Nilai yang dibenarkan: 1, 3, 4, 5, 6 |
| check_interval_seconds | Pilihan Integer | Nilai yang dibenarkan: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (saat) |
| timeout_seconds | Pilihan Integer | Nilai yang dibenarkan: 1, 2, 3, 5, 10, 25 (saat) |
| ping_ipv | Pilihan Rentetan |
Tersedia apabila: type = ping Nilai yang dibenarkan: ipv4, ipv6 |
| request_method | Pilihan Rentetan | Nilai yang dibenarkan: HEAD, GET, POST, PUT, PATCH |
| request_body | Pilihan Rentetan | - |
| request_basic_auth_username | Pilihan Rentetan | - |
| request_basic_auth_password | Pilihan Rentetan | - |
| request_header_name | Pilihan Tatasusunan | - |
| request_header_value | Pilihan Tatasusunan | - |
| response_status_code | Pilihan Integer | - |
| response_body | Pilihan Rentetan | - |
| response_header_name | Pilihan Rentetan | - |
| response_header_value | Pilihan Rentetan | - |
| is_ok_notifications | Pilihan Tatasusunan | Id pengendali notifikasi |
| email_reports_is_enabled | Pilihan Boolean | - |
| cache_buster_is_enabled | Pilihan Boolean | - |
| verify_ssl_is_enabled | Pilihan Boolean | - |
| is_enabled | Pilihan Boolean | - |
curl --request POST \
--url 'https://uptimer24.com/api/monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=https://example.com/' \
--url 'https://uptimer24.com/api/monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=https://example.com/' \
{
"data": {
"id": 1
}
}
POST https://uptimer24.com/api/monitors/{monitor_id}
| Parameter | Butiran | Penerangan |
|---|---|---|
| name | Pilihan Rentetan | - |
| target | Pilihan Rentetan | - |
| port | Pilihan Rentetan | - |
| type | Pilihan Rentetan | Nilai yang dibenarkan: website, ping, port |
| project_id | Pilihan Integer | - |
| ping_servers_ids | Pilihan Tatasusunan | Nilai yang dibenarkan: 1, 3, 4, 5, 6 |
| check_interval_seconds | Pilihan Integer | Nilai yang dibenarkan: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (saat) |
| timeout_seconds | Pilihan Integer | Nilai yang dibenarkan: 1, 2, 3, 5, 10, 25 (saat) |
| ping_ipv | Pilihan Rentetan |
Tersedia apabila: type = ping Nilai yang dibenarkan: ipv4, ipv6 |
| request_method | Pilihan Rentetan | Nilai yang dibenarkan: HEAD, GET, POST, PUT, PATCH |
| request_body | Pilihan Rentetan | - |
| request_basic_auth_username | Pilihan Rentetan | - |
| request_basic_auth_password | Pilihan Rentetan | - |
| request_header_name | Pilihan Tatasusunan | - |
| request_header_value | Pilihan Tatasusunan | - |
| response_status_code | Pilihan Integer | - |
| response_body | Pilihan Rentetan | - |
| response_header_name | Pilihan Rentetan | - |
| response_header_value | Pilihan Rentetan | - |
| is_ok_notifications | Pilihan Tatasusunan | Id pengendali notifikasi |
| email_reports_is_enabled | Pilihan Boolean | - |
| cache_buster_is_enabled | Pilihan Boolean | - |
| verify_ssl_is_enabled | Pilihan Boolean | - |
| is_enabled | Pilihan Boolean | - |
curl --request POST \
--url 'https://uptimer24.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptimer24.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptimer24.com/api/monitors/{monitor_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \